Subject: bug#1288 closed by Stephen Berman <[email-masked]> (Re: bug#1288: 23.0.60; completion-ignored-extensions doc bug?)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#1288: 23.0.60; completion-ignored-extensions doc bug?

It has been closed by Stephen Berman <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Stephen Berman <[email-masked]> by
replying to this email.

-- 
1288: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1288
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Sat Nov  1 12:36:12 2008
From: Stephen Berman <[email-masked]>
Newsgroups: gmane.emacs.bugs,gmane.emacs.pretest.bugs
To: [email-masked]
Subject: Re: bug#1288: 23.0.60; completion-ignored-extensions doc bug?
Sender: [email-masked]
Date: Sat, 01 Nov 2008 20:35:52 +0100
Posted-To: gmane.emacs.bugs,gmane.emacs.pretest.bugs

The following message is a courtesy copy of an article
that has been posted to gmane.emacs.bugs,gmane.emacs.pretest.bugs as well.

On Fri, 31 Oct 2008 21:37:16 -0400 Stefan Monnier <[email-masked]> wrote:

>> Thanks, and sorry for forgetting about that.  (But in rereading the doc
>> string now, it seems either ambiguously worded or even wrong:
>
>> "Completion ignores file names ending in any string in this list.
>> It does not ignore them if all possible completions end in one of
>> ^^^^^^^^^^^^^^^^^^^^^^^
>> these strings or when displaying a list of completions.
>>                  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>> It ignores directory names if they match any string in this list which
>> ends in a slash."
>
>> This seems to be saying that the *Completions* buffer should display the
>> file names libthread_db-1.0.so and libthread_db.so in the above
>> scenarios, but that is not what happens.  Or am I misconstruing the doc
>> string?  If so, perhaps it can be rephrased more clearly.
>
> In your examples, you hit "/usr/lib/libthr TAB" which does not display
> the completions for "libthr" but instead performs the completion.
> You only get a *Completions* buffer on the second TAB, at which point
> the minibuffer input is "/usr/lib/libthreadweaver.so.4" for which
> there's no *.so file to display any more.
> If instead of the first TAB you press ? then you'll see the .so
> file listed.
>
>
>         Stefan

Thanks (again) for setting me straight.

Steve Berman

>From [email-masked] Fri Oct 31 14:42:10 2008
From: Stephen Berman <[email-masked]>
To: [email-masked]
Subject: 23.0.60; completion-ignored-extensions doc bug?
Sender: [email-masked]
Date: Fri, 31 Oct 2008 22:42:02 +0100

In response to my bug report #1283:

> > On my system, /lib contains these two files:
> 
> >    libthread_db-1.0.so
> >    libthread_db.so.1
> 
> > When I type `C-x d' or `C-x C-f' and then `/lib/libthr TAB', the path is
> > completed to `/lib/libthread_db.so.1'.  
> 
> > Also on my system, /usr/lib contains these three files:
> 
> >    libthread_db.so
> >    libthreadweaver.so.4
> >    libthreadweaver.so.4.1.0
> 
> > When I type `C-x d' or `C-x C-f' and then `/usr/lib/libthr TAB', the
> > path is completed to `/usr/lib/libthreadweaver.so.4'.  A second TAB
> > tells me this is complete but not unique and the *Completions* buffer
> > shows me (only) libthreadweaver.so.4 and libthreadweaver.so.4.1.0.
> 
> > This is with -Q, and I get the same behavior with completion-styles set
> > to any of `basic', `emacs21', emacs22', or `partial-completion'.

Stefan wrote:

> This is the effect of having ".so" in the completion-ignored-extensions

Thanks, and sorry for forgetting about that.  (But in rereading the doc
string now, it seems either ambiguously worded or even wrong:

"Completion ignores file names ending in any string in this list.
It does not ignore them if all possible completions end in one of
^^^^^^^^^^^^^^^^^^^^^^^
these strings or when displaying a list of completions.
                 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
It ignores directory names if they match any string in this list which
ends in a slash."

This seems to be saying that the *Completions* buffer should display the
file names libthread_db-1.0.so and libthread_db.so in the above
scenarios, but that is not what happens.  Or am I misconstruing the doc
string?  If so, perhaps it can be rephrased more clearly.

Steve Berman

In GNU Emacs 23.0.60.12 (i686-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2008-10-25 on escher